IARRAY_SCROLL(3)

EXPERIMENTAL_FUNC
iarray_scroll - Scroll an Intelligent Array.

SYNOPSIS
#include <karma_iarray.h>

void iarray_scroll

(iarray array, unsigned long num_to_scroll, unsigned int scroll_mode)

DESCRIPTION
This routine will scroll "down" an array by a specified number of co-ordinates along the major dimension (dimension 0).

array
    The Intelligent Array to scroll.

num_to_scroll
    The number of co-ordinates to scroll by.

scroll_mode
    The scroll mode.

RETURN VALUE
Nothing.

Multi-threading Level
Unsafe.

AUTHOR
Richard Gooch (rgooch@atnf.csiro.au)

AVAILABLITY
The Karma Distribution is available for anonymous ftp from: ftp://ftp.atnf.csiro.au/pub/software/karma/ ftp://wuarchive.wustl.edu/graphics/graphics/packages/karma/ ftp://ftp.pwr.wroc.pl/pub/karma/ The Karma Home Page is: http://www.atnf.csiro.au/karma/